package com.xvji.quartz.mapper;

import java.util.List;
import com.xvji.quartz.domain.SysJob;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
/**
 * 调度任务信息 数据层
 * 
 * @author ruoyi
 */
@Mapper
public interface SysJobMapper
{
    /**
     * 查询调度任务日志集合
     * 
     * @param job 调度信息
     * @return 操作日志集合
     */
    public List<SysJob> selectJobList(SysJob job);

    /**
     * 查询所有调度任务
     * 
     * @return 调度任务列表
     */
    public List<SysJob> selectJobAll();

    /**
     * 通过调度ID查询调度任务信息
     * 
     * @param jobId 调度ID
     * @return 角色对象信息
     */
    public SysJob selectJobById(Long jobId);

    /**
     * 通过调度ID删除调度任务信息
     * 
     * @param jobId 调度ID
     * @return 结果
     */
    public int deleteJobById(Long jobId);

    /**
     * 批量删除调度任务信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteJobByIds(Long[] ids);

    /**
     * 修改调度任务信息
     * 
     * @param job 调度任务信息
     * @return 结果
     */
    public int updateJob(SysJob job);

    /**
     * 新增调度任务信息
     * 
     * @param job 调度任务信息
     * @return 结果
     */
    public int insertJob(SysJob job);

    /**
     * 根据字段条件查询单个定时任务
     * @param field 数据库字段名
     * @param value 字段值
     * @return 单个定时任务对象
     */
    public SysJob selectJobByField(@Param("field") String field, @Param("value") String value);

    /**
     * 根据字段条件删除定时任务
     * @param field 数据库字段名
     * @param value 字段值
     * @return 影响行数
     */
    public int deleteJobByField(@Param("field") String field, @Param("value") String value);
}
